com.fasterxml.jackson.dataformat.avro.schema

## Class DoubleVisitor

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor.Base
  - - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNumberFormatVisitor.Base
    - - com.fasterxml.jackson.dataformat.avro.schema.DoubleVisitor

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNumberFormatVisitor, com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor, SchemaBuilder

      public class DoubleVisitor
      extends com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNumberFormatVisitor.Base
      implements SchemaBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNumberFormatVisitor

      `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNumberFormatVisitor.Base`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.fasterxml.jackson.databind.JavaType` | `_hint`
    `protected com.fasterxml.jackson.core.JsonParser.NumberType` | `_type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleVisitor(com.fasterxml.jackson.databind.JavaType typeHint)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.avro.Schema` | `builtAvroSchema()`
    `void` | `numberType(com.fasterxml.jackson.core.JsonParser.NumberType type)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor.Base

      `enumTypes, format`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor

      `enumTypes, format`

- - ### Field Detail

    - #### _hint

          protected final com.fasterxml.jackson.databind.JavaType _hint

    - #### _type

          protected com.fasterxml.jackson.core.JsonParser.NumberType _type

  - ### Constructor Detail

    - #### DoubleVisitor

          public DoubleVisitor(com.fasterxml.jackson.databind.JavaType typeHint)

  - ### Method Detail

    - #### numberType

          public void numberType(com.fasterxml.jackson.core.JsonParser.NumberType type)

      Specified by:
        `numberType` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNumberFormatVisitor`
      Overrides:
        `numberType` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNumberFormatVisitor.Base`

    - #### builtAvroSchema

          public org.apache.avro.Schema builtAvroSchema()

      Specified by:
        `builtAvroSchema` in interface `SchemaBuilder`

Copyright © 2017 FasterXML. All rights reserved.